Subject: Re: bug#25631: epiphany: Ad blocker does not work.

From: Mark H Weaver <[email-masked]>
Date: Tue, 07 Feb 2017 05:14:15 -0500

Ricardo Wurmus <[email-masked]> writes:

> “g_file_new_for_uri” triggers the download via dbus, so it must be made
> aware of the dbus session.  When running “dbus-launch epiphany” the
> error changes to
>
>     ** (WebKitWebProcess:30867): WARNING **: Error retrieving adblock filter: HTTP Error: TLS/SSL support not available; install glib-networking
>
> If I first export the same environment variables (for GIO modules) that
> are set in the epiphany wrapper the error disappears:
>
>     guix environment --ad-hoc dbus
>     source <(sed $(readlink -f $(which epiphany)) -e "s/exec.*//")
>     dbus-launch epiphany
>
> Should we use dbus-launch in the wrapper script or should we ensure
> system-wide that after logging in the DBUS_SESSION_BUS_ADDRESS is
> exported?
>
> I’m using stumpwm so I don’t know if GNOME usually takes care of this.

It seems that both GNOME and Xfce take care of setting
DBUS_SESSION_BUS_ADDRESS, since that variable is set on both my x86_64
GuixSD system running GNOME and my mips64el GuixSD system running Xfce.

      Mark